//+------------------------------------------------------------------+
//|                                             RD_TradePanel_v2.mq4 |
//|                                                    Rod Greenwood |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Rod Greenwood"
#property link      "  "
#property version   "2.00"
#property strict

#include <Controls/Dialog.mqh>
#include <Controls/SpinEdit.mqh>
#include <Controls/SpinEditDouble.mqh>
#include <Controls/Edit.mqh>

CAppDialog cpInterface;
CSpinEdit cpSpinTP,cpSpinSL;
CSpinEditDouble cpSpinLS;
CEdit cpEditTP,cpEditLS,cpEditSL;

int x_g;

//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
   ControlPanel();
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   cpInterface.Destroy(reason);
   ObjectsDeleteAll();
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {

  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {

   cpInterface.OnEvent(id,lparam,dparam,sparam);
   if(id==CHARTEVENT_CHART_CHANGE)
     {
      x_g=int(ChartGetInteger(0,CHART_WIDTH_IN_PIXELS,0))-10;
      cpInterface.Create(0,_Symbol+" "+string(Period())+" Min",0,x_g-220,20,x_g,95);
      ObjectsDeleteAll();
      ControlPanel();
     }
//int heightScreen=ChartGetInteger(0,CHART_HEIGHT_IN_PIXELS,0);
//int widthScreen=ChartGetInteger(0,CHART_WIDTH_IN_PIXELS,0);
  }
//+------------------------------------------------------------------+
void ControlPanel()
  {
   x_g=int(ChartGetInteger(0,CHART_WIDTH_IN_PIXELS,0))-10;
   cpInterface.Create(0,_Symbol+" "+string(Period())+" Min",0,x_g-220,20,x_g,95);
//---
   cpSpinLS.Create(0,"cpSpinLS",0,70,5,133,25);
   cpSpinLS.MaxValue(100);
   cpSpinLS.MinValue(.01);
   cpSpinLS.Value(50.01);
   ObjectSetInteger(0,"cpSpinLSEdit",OBJPROP_READONLY,false);
   cpInterface.Add(cpSpinLS);
//fCreatePanel();
   cpInterface.Run();

  }

//+------------------------------------------------------------------+
void fCreatePanel()
  {
//int x_g=int(ChartGetInteger(0,CHART_WIDTH_IN_PIXELS,0))-10;
//cpInterface.Create(0,_Symbol+" "+string(Period())+" Min",0,x_g-220,20,x_g,95);
//---
//cpSpinLS.Create(0,"cpSpinLS",0,70,5,133,25);
//cpSpinLS.MaxValue(100);
//cpSpinLS.MinValue(.01);
//cpSpinLS.Value(50.01);
//ObjectSetInteger(0,"cpSpinLSEdit",OBJPROP_READONLY,false);

//cpInterface.Add(cpSpinLS);
//cpInterface.Run();


  }









//+------------------------------------------------------------------+
